Poll

Did you experience any issue with this update?

No issues, everything went smoothly.
34 (79.1%)
Yes there was an issue. I was able to resolve it myself. (Please post your solution)
5 (11.6%)
Yes I am currently experiencing an issue due to the update. (Please post about it)
4 (9.3%)

Total Members Voted: 43

Author Topic: [Update] 2016-04-22 - Kernels, Plasma, KDE Framework, Gnome/GTK 3.20, Mozilla  (Read 5717 times)

0 Members and 1 Guest are viewing this topic.

Offline Dastious

  • Neuling
  • *
  • Posts: 40
  • Branch: testing
  • Desktop: Kde 5
  • GPU Card: nvidia 750Ti / 970
  • GPU driver: non-free
  • Kernel: 4.4
  • Skill: Novice
Everything is fine here on kde. Except that now, when i put the mouse on firefox window it change the theme of the mouse for a big fat black mouse, then put back to kde theme on another windows. I taught it was a bug for gtk window, but no, every other application that use gtk don't do that, only firefox.

Offline Smellyman

  • Neuling
  • *
  • Posts: 32
  • Skill: Novice
Everything is fine here on kde. Except that now, when i put the mouse on firefox window it change the theme of the mouse for a big fat black mouse, then put back to kde theme on another windows. I taught it was a bug for gtk window, but no, every other application that use gtk don't do that, only firefox.

On breeze-dark it is yellow/gold cursor and the bookmark toolbar menu became scrunched up.

Maybe it was the GTK update?

Everything was all smooth with the update though.

Offline Kev.M

  • Jr. Mitglied
  • **
  • Posts: 50
  • Branch: Manjaro Stable + Arch Stable
  • Desktop: Xfce
  • GPU Card: Mesa DRI Intel(R) Sandybridge
  • GPU driver: Non-free
  • Kernel: 44 & 46
  • Skill: Novice
You do realise none of us have the same conkyrc :) Gotta attach your configs so that others can take a look.

OK, sorry I was just wondering if there was an issue that others where aware of.
Heres my conkyrc, it is the only one not working.

Code: [Select]
# Conky Google Now style #

# Conky settings #
background no
update_interval 1
double_buffer yes
no_buffers yes

# Window specifications #
own_window yes
#all options for own_window_type are normal, desktop, dock, panel or override
own_window_type normal
own_window_hints undecorated,below,sticky,skip_taskbar,skip_pager
own_window_title
own_window_argb_visual yes
own_window_argb_value 230
own_window_transparent no

minimum_size 340 320

# Alignment #
alignment bottom_left
gap_x 45
gap_y 70

border_inner_margin 15
border_outer_margin 0

# Graphics settings #
draw_shades no
draw_outline no
draw_borders no
draw_graph_borders no

# Text settings #
use_xft yes
xftalpha 0
xftfont Open Sans Light:size=11

override_utf8_locale yes

imlib_cache_size 0
F9F9F9
# Color scheme #
default_color FFFFFF

color1 FFFFFF
color2 FFFFFF
color3 FFFFFF
color4 FFFFFF
color5 FFFFFF
color6 FFFFFF
color7 FFA300

own_window_colour 2E3436
TEXT
${execi 300 curl -s "http://query.yahooapis.com/v1/public/yql?q=select%20*%20from%20weather.forecast%20where%20woeid%20%3D%22560743%22%20and%20u%3D%22c%22%20&diagnostics=true&env=store%3A%2F%2Fdatatables.org%2Falltableswithkeys" -o ~/.cache/weather.xml}${font Open Sans Light:size=15}${execi 300 grep "yweather:location" ~/.cache/weather.xml | grep -o "city=\"[^\"]*\"" | grep -o "\"[^\"]*\"" | grep -o "[^\"]*"}, ${execi 300 grep "yweather:location" ~/.cache/weather.xml | grep -o "country=\"[^\"]*\"" | grep -o "\"[^\"]*\"" | grep -o "[^\"]*"}${font}
${font Open Sans Light:size=70}${alignr}${execi 300 grep "yweather:condition" ~/.cache/weather.xml | grep -o "temp=\"[^\"]*\"" | grep -o "\"[^\"]*\"" | grep -o "[^\"]*"}°${font}${voffset -35}
${execi 300 cp -f ~/.conky-google-now/$(grep "yweather:condition" ~/.cache/weather.xml | grep -o "code=\"[^\"]*\"" | grep -o "\"[^\"]*\"" | grep -o "[^\"]*" | awk 'NR==1').png ~/.cache/weather.png}${image ~/.cache/weather.png -p 0,45 -s 60x60}
${execi 300 grep "yweather:condition" ~/.cache/weather.xml | grep -o "text=\"[^\"]*\"" | grep -o "\"[^\"]*\"" | grep -o "[^\"]*" | tr '[a-z]' '[A-Z]' | awk 'NR==1'}
${image ~/.conky-google-now/wind.png -p 0,135 -s 15x15}${goto 35}${execi 60 grep "yweather:wind" ~/.cache/weather.xml | grep -o "speed=\"[^\"]*\"" | grep -o "\"[^\"]*\"" | grep -o "[^\"]*" | tail -n 1} km/h
${image ~/.conky-google-now/humidity.png -p 0,155 -s 15x15}${goto 35}${execi 300 grep "yweather:atmosphere" ~/.cache/weather.xml | grep -o "humidity=\"[^\"]*\"" | grep -o "\"[^\"]*\"" | grep -o "[^\"]*"}%${voffset 15}
${goto 18}${execi 300 grep "yweather:forecast" ~/.cache/weather.xml | grep -o "day=\"[^\"]*\"" | grep -o "\"[^\"]*\"" | grep -o "[^\"]*" | awk 'NR==1' | tr '[a-z]' '[A-Z]'}${goto 88}${execi 300 grep "yweather:forecast" ~/.cache/weather.xml | grep -o "day=\"[^\"]*\"" | grep -o "\"[^\"]*\"" | grep -o "[^\"]*" | awk 'NR==2' | tr '[a-z]' '[A-Z]'}${goto 158}${execi 300 grep "yweather:forecast" ~/.cache/weather.xml | grep -o "day=\"[^\"]*\"" | grep -o "\"[^\"]*\"" | grep -o "[^\"]*" | awk 'NR==3' | tr '[a-z]' '[A-Z]'}${goto 228}${execi 300 grep "yweather:forecast" ~/.cache/weather.xml | grep -o "day=\"[^\"]*\"" | grep -o "\"[^\"]*\"" | grep -o "[^\"]*" | awk 'NR==4' | tr '[a-z]' '[A-Z]'}${goto 298}${execi 300 grep "yweather:forecast" ~/.cache/weather.xml | grep -o "day=\"[^\"]*\"" | grep -o "\"[^\"]*\"" | grep -o "[^\"]*" | awk 'NR==5' | tr '[a-z]' '[A-Z]'}
${execi 300 cp -f ~/.conky-google-now/$(grep "yweather:forecast" ~/.cache/weather.xml | grep -o "code=\"[^\"]*\"" | grep -o "\"[^\"]*\"" | grep -o "[^\"]*" | awk 'NR==2').png ~/.cache/weather-1.png}${image ~/.cache/weather-1.png -p 0,210 -s 30x30}${execi 300 cp -f ~/.conky-google-now/$(grep "yweather:forecast" ~/.cache/weather.xml | grep -o "code=\"[^\"]*\"" | grep -o "\"[^\"]*\"" | grep -o "[^\"]*" | awk 'NR==3').png ~/.cache/weather-2.png}${image ~/.cache/weather-2.png -p 70,210 -s 30x30}${execi 300 cp -f ~/.conky-google-now/$(grep "yweather:forecast" ~/.cache/weather.xml | grep -o "code=\"[^\"]*\"" | grep -o "\"[^\"]*\"" | grep -o "[^\"]*" | awk 'NR==4').png ~/.cache/weather-3.png}${image ~/.cache/weather-3.png -p 140,210 -s 30x30}${execi 300 cp -f ~/.conky-google-now/$(grep "yweather:forecast" ~/.cache/weather.xml | grep -o "code=\"[^\"]*\"" | grep -o "\"[^\"]*\"" | grep -o "[^\"]*" | awk 'NR==5').png ~/.cache/weather-4.png}${image ~/.cache/weather-4.png -p 210,210 -s 30x30}${execi 300 cp -f ~/.conky-google-now/$(grep "yweather:forecast" ~/.cache/weather.xml | grep -o "code=\"[^\"]*\"" | grep -o "\"[^\"]*\"" | grep -o "[^\"]*" | awk 'NR==6').png ~/.cache/weather-5.png}${image ~/.cache/weather-5.png -p 280,210 -s 30x30}${voffset 20}
${goto 20}${execi 300 grep "yweather:forecast" ~/.cache/weather.xml | grep -o "high=\"[^\"]*\"" | grep -o "\"[^\"]*\"" | grep -o "[^\"]*" | awk 'NR==1'}°${goto 90}${execi 300 grep "yweather:forecast" ~/.cache/weather.xml | grep -o "high=\"[^\"]*\"" | grep -o "\"[^\"]*\"" | grep -o "[^\"]*" | awk 'NR==2'}°${goto 160}${execi 300 grep "yweather:forecast" ~/.cache/weather.xml | grep -o "high=\"[^\"]*\"" | grep -o "\"[^\"]*\"" | grep -o "[^\"]*" | awk 'NR==3'}°${goto 230}${execi 300 grep "yweather:forecast" ~/.cache/weather.xml | grep -o "high=\"[^\"]*\"" | grep -o "\"[^\"]*\"" | grep -o "[^\"]*" | awk 'NR==4'}°${goto 300}${execi 300 grep "yweather:forecast" ~/.cache/weather.xml | grep -o "high=\"[^\"]*\"" | grep -o "\"[^\"]*\"" | grep -o "[^\"]*" | awk 'NR==5'}°
${goto 20}${execi 300 grep "yweather:forecast" ~/.cache/weather.xml | grep -o "low=\"[^\"]*\"" | grep -o "\"[^\"]*\"" | grep -o "[^\"]*" | awk 'NR==1'}°${goto 90}${execi 300 grep "yweather:forecast" ~/.cache/weather.xml | grep -o "low=\"[^\"]*\"" | grep -o "\"[^\"]*\"" | grep -o "[^\"]*" | awk 'NR==2'}°${goto 160}${execi 300 grep "yweather:forecast" ~/.cache/weather.xml | grep -o "low=\"[^\"]*\"" | grep -o "\"[^\"]*\"" | grep -o "[^\"]*" | awk 'NR==3'}°${goto 230}${execi 300 grep "yweather:forecast" ~/.cache/weather.xml | grep -o "low=\"[^\"]*\"" | grep -o "\"[^\"]*\"" | grep -o "[^\"]*" | awk 'NR==4'}°${goto 300}${execi 300 grep "yweather:forecast" ~/.cache/weather.xml | grep -o "low=\"[^\"]*\"" | grep -o "\"[^\"]*\"" | grep -o "[^\"]*" | awk 'NR==5'}°
${color7}${hr}${color}
${voffset -40}

I thought where it says own_window_type normal was what made the difference but my other conky is working fine so I used the same settings but not luck getting it back. I also noticed it used to say the release name but thats gone too, the same conky works in stable on my other laptop.


Edit:
I missed it changed from conky-lua to conky-lua-nv somewhere a long the way, may be from update. I just installed conky-lua instead of conky-lua-nv and that fixed it.
« Last Edit: 03. May 2016, 22:21:32 by Kev.M »

Offline jefsview

  • Jr. Mitglied
  • **
  • Posts: 99
  • Branch: Testing
  • Desktop: Xfce
  • GPU Card: nVidia GTX 650
  • GPU driver: non-free
  • Kernel: linux41 x64
  • Skill: Intermediate
The only issue was with themes, which was an easy fix.


Offline jbMacAZ

  • Neuling
  • *
  • Posts: 34
  • Branch: testing
  • Desktop: Cinnamon 3.0
  • GPU Card: Intel Atom SoC - ValleyView gen7 or Z36/7xxx
  • GPU driver: free
  • Kernel: 4.3.6-custom-x64, 4.6-rcx-custom-x64, etc.
  • Skill: Intermediate
Small issue with nemo.  Instead of changing directories, it closes.  Click on either tree view folder or breadcrumb buttons (somewhat random but not too hard to reproduce.) Downgrade to 2.8.7-1 works around problem.  edit: Bug is more likely after moving focus to another window and then returning back to nemo.  Problem started much more recently than the nemo update to 2.8.7-1. </edit> 

Everything else is fine, default cinnamon theme (Cinnamon 2.8.8 - Manjaro 15.12) was fine.  Huge update to test Rob's kernel 4.4.7-600Hz, which went fine.  Great job all.
« Last Edit: 23. April 2016, 09:22:02 by jbMacAZ »

Offline Marchin

  • Vollwertiges Mitglied
  • ***
  • Posts: 173
  • Branch: Testing
  • Desktop: Plasma 5
  • GPU Card: nVidia GeForce 750 Ti
  • GPU driver: video-hybrid-intel-nvidia-bumblebee
  • Kernel: 4.4 x86_64
  • Skill: Intermediate
Anyone else is having problems running Dota 2? I've been out a couple of days and i've updated the system before trying to play so i can't tell if the problem came from the update or from steam

Offline jonathon

  • Core Team
  • *****
  • Posts: 2104
  • Technologist - Teacher - Tea drinker
  • Branch: Unstable
  • Desktop: MATE 1.14
  • GPU Card: Nvidia GTX680M
  • GPU driver: Bumblebee nvidia+intel
  • Kernel: 4.6.0-*-MANJARO x86_64
  • Skill: Advanced
Bumblebee stopped disabling discrete card after update to ver. 3.2.1-13. Falling back to ver. 3.2.1-12 will return the function again.

Somewhat related bug post on github https://github.com/Bumblebee-Project/Bumblebee/issues/758

How did you know this had happened? I haven't noticed anything with mine - looking at that bug report this may be kernel-dependent but I might be missing something...
« Last Edit: 21. April 2016, 22:08:26 by jonathon »
--
MSI GT70: Core i7-3630QM, 16GB, Nvidia GTX680M, Intel 2230, Manjaro-MATE-amd64-EFI
Lenovo X230: Core i5-3320M, 4GB, Intel HD4000, Intel 6205, Manjaro-MATE-amd64
Dell Studio 1749: Core i5 540, 8GB, ATi HD5650, Intel WLAN, Manjaro-Xfce-amd64
Let's go in the garden; you'll find something waiting.

Offline eugen-b

  • Support Team
  • ****
  • Posts: 3191
  • Branch: testing
  • Desktop: LXDE, Fluxbox, JWM, LXQt, bspwm
  • GPU Card: Intel 82945G/GZ
  • GPU driver: free
  • Kernel: 4.5, 4.6
  • Skill: Intermediate
Can't login after the update on LXQt OpenRC https://forum.manjaro.org/index.php?topic=33203
I don't get SDDM greeter, only command line. I can login after reverting to the btrfs snapshot before the update. When I run the update again I cannot login as user anymore.
The issue is resolved, it was because I downfraded icu to be able to use libreoffice 4.4.7. Now updgraded to the current libreoffice-still and icu as well. You can read more following my link from before.
MSI Wind Nettop, Intel Atom 230 1.6GHz (64bit), 2GB RAM
DEs: NET-minimal + (LXDE / Fluxbox / JWM); LXQt OpenRC
how to install on btrfs subvolumes
http://manjaro.github.io/donate/

Offline Marchin

  • Vollwertiges Mitglied
  • ***
  • Posts: 173
  • Branch: Testing
  • Desktop: Plasma 5
  • GPU Card: nVidia GeForce 750 Ti
  • GPU driver: video-hybrid-intel-nvidia-bumblebee
  • Kernel: 4.4 x86_64
  • Skill: Intermediate

Offline Nightbane112

  • Neuling
  • *
  • Posts: 10
  • Branch: testing
  • Desktop: KDE
  • GPU Card: Intel HD Graphics 4000 , Nvidia GeForce GT 730M
  • GPU driver: Both (Intel = Free drivers & Nvidia = Blob drivers)
  • Kernel: linux45-x64, linux44-x64
  • Skill: Novice
How did you know this had happened? I haven't noticed anything with mine - looking at that bug report this may be kernel-dependent but I might be missing something...

Tested by running :
Code: [Select]
optirun --status
Courtesy from https://antergos.com/wiki/hardware/graphics/bumblebee-for-nvidia-optimus/

Expected output :
Code: [Select]
$ optirun --status
$ Bumblebee status: Ready (3.2.1). X inactive. Discrete video card is off.
$ sudo cat /proc/acpi/bbswitch
$ 0000:02:00.0 OFF
$ optirun pwd
$ /home/"userDir"
$ optirun --status
$ Bumblebee status: Ready (3.2.1). X inactive. Discrete video card is off.
$ sudo cat /proc/acpi/bbswitch
$ 0000:02:00.0 OFF

Obtained output :
Code: [Select]
$ optirun --status
$ Bumblebee status: Ready (3.2.1). X inactive. Discrete video card is off.
$ sudo cat /proc/acpi/bbswitch
$ 0000:02:00.0 OFF
$ optirun pwd
$ /home/"userDir"
$ optirun --status
$ Bumblebee status: Ready (3.2.1). X inactive. Discrete video card is on.
$ sudo cat /proc/acpi/bbswitch
$ 0000:02:00.0 ON



There are problems with the new nvidia drivers and source engine games, i'd recommend not send it to the stable branch

More info here:
https://bbs.archlinux.org/viewtopic.php?id=208702
https://devtalk.nvidia.com/default/topic/915640/unix-graphics-announcements-and-news/multiple-glx-client-libraries-in-the-nvidia-linux-driver-installer-package/

As for this problem, you may want to append to the launch command as below when launching any apps that require the Nvidia GPU:

Code: [Select]
__GLVND_DISALLOW_PATCHING=1 %command%
If it didn't work, the command into your /etc/environment file :

Code: [Select]
__GLVND_DISALLOW_PATCHING=1
Source : https://bugs.archlinux.org/task/48109#comment143842
« Last Edit: 22. April 2016, 05:29:53 by Nightbane112 »

Offline philm

  • Core Team
  • *****
  • Posts: 10671
    • Manjaro Linux
  • Branch: Unstable
  • Desktop: XFCE
  • GPU Card: Geforce GTX 650
  • GPU driver: non-free
  • Kernel: Maintainer - so all ;)
  • Skill: Guru
I added some more packages:

https://lists.manjaro.org/pipermail/manjaro-packages/Week-of-Mon-20160418/006827.html
https://lists.manjaro.org/pipermail/manjaro-packages/Week-of-Mon-20160418/006828.html

Thunderbird claimed some issue with the calendar function. As I also found some issues with the kernels, I decided to do a sync and copying of the overlay from unstable without those kernels with this commit. That is why we have two commits in testing.





Code: [Select]
:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                            linux318            3.18.30-1            3.18.31-1
                    linux318-headers            3.18.30-1            3.18.31-1
                             linux41             4.1.21-1             4.1.22-1
                     linux41-headers             4.1.21-1             4.1.22-1


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                            linux318            3.18.30-1            3.18.31-1
                    linux318-headers            3.18.30-1            3.18.31-1
                             linux41             4.1.21-1             4.1.22-1
                     linux41-headers             4.1.21-1             4.1.22-1


:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                  linux318-acpi_call             1.1.0-17             1.1.0-18
                   linux318-bbswitch               0.8-17               0.8-18
                linux318-broadcom-wl       6.30.223.248-7       6.30.223.248-8
                   linux318-catalyst      1:15.201.1151-7      1:15.201.1151-8
                linux318-ndiswrapper              1.59-17              1.59-18
                     linux318-nvidia           1:361.42-2           1:361.42-3
               linux318-nvidia-304xx            304.131-5            304.131-6
               linux318-nvidia-340xx             340.96-5             340.96-6
                   linux318-nvidiabl               0.88-7               0.88-8
      linux318-open-vm-tools-modules      2:2013.09.16-17      2:2013.09.16-18
                      linux318-r8168           8.040.00-7           8.040.00-8
                  linux318-rt3562sta         2.4.1.1_r3-3         2.4.1.1_r3-4
                        linux318-spl            0.6.5.6-2            0.6.5.6-3
                   linux318-tp_smapi              0.41-17              0.41-18
                linux318-vhba-module          20140629-17          20140629-18
   linux318-virtualbox-guest-modules             5.0.16-6             5.0.16-7
    linux318-virtualbox-host-modules             5.0.16-6             5.0.16-7
                        linux318-zfs            0.6.5.6-2            0.6.5.6-3
                   linux41-acpi_call             1.1.0-12             1.1.0-13
                    linux41-bbswitch               0.8-12               0.8-13
                 linux41-broadcom-wl       6.30.223.248-9      6.30.223.248-10
                    linux41-catalyst      1:15.201.1151-9     1:15.201.1151-10
                 linux41-ndiswrapper              1.59-12              1.59-13
                      linux41-nvidia           1:361.42-2           1:361.42-3
                linux41-nvidia-304xx            304.131-7            304.131-8
                    linux41-nvidiabl               0.88-9              0.88-10
       linux41-open-vm-tools-modules      2:2013.09.16-12      2:2013.09.16-13
                       linux41-r8168           8.040.00-9          8.040.00-10
                   linux41-rt3562sta         2.4.1.1_r3-3         2.4.1.1_r3-4
                         linux41-spl            0.6.5.6-2            0.6.5.6-3
                    linux41-tp_smapi              0.41-12              0.41-13
                 linux41-vhba-module          20140629-12          20140629-13
    linux41-virtualbox-guest-modules             5.0.16-8             5.0.16-9
     linux41-virtualbox-host-modules             5.0.16-8             5.0.16-9
                         linux41-zfs            0.6.5.6-2            0.6.5.6-3


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                  linux318-acpi_call             1.1.0-17             1.1.0-18
                   linux318-bbswitch               0.8-17               0.8-18
                linux318-broadcom-wl       6.30.223.248-7       6.30.223.248-8
                   linux318-catalyst      1:15.201.1151-7      1:15.201.1151-8
                linux318-ndiswrapper              1.59-17              1.59-18
                     linux318-nvidia           1:361.42-2           1:361.42-3
               linux318-nvidia-304xx            304.131-5            304.131-6
               linux318-nvidia-340xx             340.96-5             340.96-6
                   linux318-nvidiabl               0.88-7               0.88-8
      linux318-open-vm-tools-modules      2:2013.09.16-17      2:2013.09.16-18
                      linux318-r8168           8.040.00-7           8.040.00-8
                  linux318-rt3562sta         2.4.1.1_r3-3         2.4.1.1_r3-4
                        linux318-spl            0.6.5.6-2            0.6.5.6-3
                   linux318-tp_smapi              0.41-17              0.41-18
                linux318-vhba-module          20140629-17          20140629-18
   linux318-virtualbox-guest-modules             5.0.16-6             5.0.16-7
    linux318-virtualbox-host-modules             5.0.16-6             5.0.16-7
                        linux318-zfs            0.6.5.6-2            0.6.5.6-3
                   linux41-acpi_call             1.1.0-12             1.1.0-13
                    linux41-bbswitch               0.8-12               0.8-13
                 linux41-broadcom-wl       6.30.223.248-9      6.30.223.248-10
                    linux41-catalyst      1:15.201.1151-9     1:15.201.1151-10
                 linux41-ndiswrapper              1.59-12              1.59-13
                      linux41-nvidia           1:361.42-2           1:361.42-3
                linux41-nvidia-304xx            304.131-7            304.131-8
                    linux41-nvidiabl               0.88-9              0.88-10
       linux41-open-vm-tools-modules      2:2013.09.16-12      2:2013.09.16-13
                       linux41-r8168           8.040.00-9          8.040.00-10
                   linux41-rt3562sta         2.4.1.1_r3-3         2.4.1.1_r3-4
                         linux41-spl            0.6.5.6-2            0.6.5.6-3
                    linux41-tp_smapi              0.41-12              0.41-13
                 linux41-vhba-module          20140629-12          20140629-13
    linux41-virtualbox-guest-modules             5.0.16-8             5.0.16-9
     linux41-virtualbox-host-modules             5.0.16-8             5.0.16-9
                         linux41-zfs            0.6.5.6-2            0.6.5.6-3

Offline d7rk

  • Held Mitglied
  • *****
  • Posts: 617
  • Branch: testing
  • Desktop: Gnome // Openbox
  • GPU Card: Intel 2nd Generation Core Processor Family Integrated Graphics Controller and NVIDIA GF119M [GeForce 610M]
  • GPU driver: nvidia
  • Kernel: 4.4.8-1-MANJARO x86_64 (64 bit)
  • Skill: Novice
No problem on my side. Just some gnome extensions not yet updated.
Cheers,

Offline Marchin

  • Vollwertiges Mitglied
  • ***
  • Posts: 173
  • Branch: Testing
  • Desktop: Plasma 5
  • GPU Card: nVidia GeForce 750 Ti
  • GPU driver: video-hybrid-intel-nvidia-bumblebee
  • Kernel: 4.4 x86_64
  • Skill: Intermediate
Tested by running :
Code: [Select]
optirun --status
Courtesy from https://antergos.com/wiki/hardware/graphics/bumblebee-for-nvidia-optimus/

Expected output :
Code: [Select]
$ optirun --status
$ Bumblebee status: Ready (3.2.1). X inactive. Discrete video card is off.
$ sudo cat /proc/acpi/bbswitch
$ 0000:02:00.0 OFF
$ optirun pwd
$ /home/"userDir"
$ optirun --status
$ Bumblebee status: Ready (3.2.1). X inactive. Discrete video card is off.
$ sudo cat /proc/acpi/bbswitch
$ 0000:02:00.0 OFF

Obtained output :
Code: [Select]
$ optirun --status
$ Bumblebee status: Ready (3.2.1). X inactive. Discrete video card is off.
$ sudo cat /proc/acpi/bbswitch
$ 0000:02:00.0 OFF
$ optirun pwd
$ /home/"userDir"
$ optirun --status
$ Bumblebee status: Ready (3.2.1). X inactive. Discrete video card is on.
$ sudo cat /proc/acpi/bbswitch
$ 0000:02:00.0 ON



As for this problem, you may want to append to the launch command as below when launching any apps that require the Nvidia GPU:

Code: [Select]
__GLVND_DISALLOW_PATCHING=1 %command%
If it didn't work, the command into your /etc/environment file :

Code: [Select]
__GLVND_DISALLOW_PATCHING=1
Source : https://bugs.archlinux.org/task/48109#comment143842

No, it doesn't work for me

I get this when trying to run dota

Code: [Select]
libGL error: driver pointer missing
libGL error: failed to load driver: i965
libGL error: unable to load driver: swrast_dri.so
libGL error: failed to load driver: swrast

Thank you anyways :)

Offline jonathon

  • Core Team
  • *****
  • Posts: 2104
  • Technologist - Teacher - Tea drinker
  • Branch: Unstable
  • Desktop: MATE 1.14
  • GPU Card: Nvidia GTX680M
  • GPU driver: Bumblebee nvidia+intel
  • Kernel: 4.6.0-*-MANJARO x86_64
  • Skill: Advanced
Tested by running :
Code: [Select]
optirun --status

Nice. I can confirm my discrete card is stuck "on" immediately after boot. There are no programs running that should have triggered that so there's definitely a bug there.

Code: [Select]
$ optirun --status
Bumblebee status: Ready (3.2.1). X inactive. Discrete video card is on.

$ cat /proc/acpi/bbswitch
0000:01:00.0 ON

Looking at the Arch bug report, our own FadeMind has a working PKGBUILD: https://github.com/FadeMind/archpkgbuilds/tree/master/AUR/nvidia-optimus/bumblebee

I'm going to cherry-pick the /usr/lib/modprobe.d/bumblebee.conf from there and see if that resolves the issue for me.

Edit: Nope. It means it doesn't switch ON at boot, but it still doesn't automatically turn OFF after being used. There must be logic to patch in the binary itself.

Edit 2: I can't see any differences between the "working" binaries (/usr/bin) and those already on my system (md5sums match).
« Last Edit: 22. April 2016, 17:26:59 by jonathon »
--
MSI GT70: Core i7-3630QM, 16GB, Nvidia GTX680M, Intel 2230, Manjaro-MATE-amd64-EFI
Lenovo X230: Core i5-3320M, 4GB, Intel HD4000, Intel 6205, Manjaro-MATE-amd64
Dell Studio 1749: Core i5 540, 8GB, ATi HD5650, Intel WLAN, Manjaro-Xfce-amd64
Let's go in the garden; you'll find something waiting.

Offline Nightbane112

  • Neuling
  • *
  • Posts: 10
  • Branch: testing
  • Desktop: KDE
  • GPU Card: Intel HD Graphics 4000 , Nvidia GeForce GT 730M
  • GPU driver: Both (Intel = Free drivers & Nvidia = Blob drivers)
  • Kernel: linux45-x64, linux44-x64
  • Skill: Novice
No, it doesn't work for me

I get this when trying to run dota

Code: [Select]
libGL error: driver pointer missing
libGL error: failed to load driver: i965
libGL error: unable to load driver: swrast_dri.so
libGL error: failed to load driver: swrast

Thank you anyways :)

Update : I just found out some games may be able to run if you are using steam-native instead of steam-manjaro  ??? . But I've tested this on War Thunder since that is the game I have at the moment  :(